Cyberduck Mountain Duck CLI

#10573 closed defect (fixed)

Unable to get info on file of incomplete multipart upload

Reported by: Tony T Owned by: dkocher
Priority: low Milestone: 6.9.3
Component: s3 Version: 6.9.0
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Ticket #10568 fixed the "Unable to delete incomplete multipart upload", however, a very minor bug remains where an error is reported when trying get the s3 info of the file.

  1. Interrupt AWS CLI transfer with ctrl-c
  2. Open Cyberduck.
  3. Highlight (hidden) incomplete upload (0 byte hidden file)
  4. File->Info (command-I)
  5. Select S3 Tab
  6. Error Box pops up (attached) with error "Failure to read attributes of 12. Invalid version id specified. Please contact your web hosting service provider for assistance."

However, please note that I can now delete the 0 byte file, so this is a minor bug.

Attachments (1)

Screen Shot 2019-01-16 at 9.48.37 AM.png (123.8 KB) - added by Tony T on Jan 16, 2019 at 3:09:40 PM.

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Jan 16, 2019 at 3:15:05 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 7.0
  • Owner set to dkocher

comment:2 Changed on Jan 24, 2019 at 8:18:23 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r46134. Thanks for reporting this.

comment:3 Changed on Feb 22, 2019 at 1:06:44 PM by dkocher

  • Milestone changed from 7.0 to 6.9.3
Note: See TracTickets for help on using tickets.
swiss made software